Bug 81477 - ACCESSIBILITY: Unable to set low contrast background+font color (non-high contrast O/S theme)
Summary: ACCESSIBILITY: Unable to set low contrast background+font color (non-high con...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.6.2 release
Hardware: All All
: high minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2014-07-18 02:49 UTC by Owen Genat (retired)
Modified: 2015-12-17 08:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot showing options and result of displayed text under LOv4302. (72.71 KB, image/png)
2014-07-18 02:49 UTC, Owen Genat (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Genat (retired) 2014-07-18 02:49:09 UTC
Created attachment 103010 [details]
Screenshot showing options and result of displayed text under LOv4302.

Problem description: This may be closed as NOTABUG but it would be good to get clarity on why this is happening. Selecting a low contrast background and font colour pair results in the font colour not being respected (irrespective of the O/S theme or other LO settings). The workaround is to select a font colour offering higher contrast with the background. It appears to affect all components (Tools > Options... > LibreOffice > Appearance settings) and date back to at least v3.5.7.2. Related AskLO thread:

http://ask.libreoffice.org/en/question/37148/

Steps to reproduce:
1. Open Writer.
2. Tools > Options... > LibreOffice > Appearance > under the "General"list set "Background color" to Black and set "Font color" to Blue 4 (refer attached).
3. Ensure Tools > Options... > Accessibility > "Options for high contrast appearance" section > first two options are unchecked (default). No high-contract theme is selected in O/S.
4. Click OK.

Current behavior: 
Text is displayed in White.

Expected behavior:
Text is displayed in Blue 4.

Setting either the background colour to Gray 7 or the font colour to Blue 2 offers a workaround. Tested under GNU/Linux (Debian 7 x86_64 + LXDE/Openbox with Taqua theme and Crunchbang 11 x86_64 + Openbox with default Crunchbang theme) using:

- v3.5.7.2 Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b
- v4.1.6.2 Build ID: 40ff705089295be5be0aae9b15123f687c05b0a
- v4.2.5.2 Build ID: 61cb170a04bb1f12e77c884eab9192be736ec5f5
- v4.3.0.2 Build ID: 14ed55896fdfcb93ff437b85c4f3e1923d2b1409
- v4.4.0.0.alpha0+ Build ID: 3fdd4f069d5436cf39708004af7fda8175fbc4c2

Behaviour is identical in all cases. Linked AskLO thread reports same issue under Windows 7 for v4.2.5.2.
Operating System: All
Version: 4.1.6.2 release
Comment 1 Joel Madero 2014-07-23 05:47:17 UTC
I can't imagine this not being a bug - if you set colors and they are ignored, seems like a problem.

Confirmed:
Ubuntu 14.04 x64
LibreOffice 4.3.0.2 - it's also a regression (works fine in 3.3)

Really hard to prioritize this bug...but I'll give it a go:
Minor - not going to prevent high quality work
High - regression + pretty big functionality that no longer works



5a52acff89c712acbd4be6896748c76a010cb507 is the first bad commit
commit 5a52acff89c712acbd4be6896748c76a010cb507
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Wed Oct 16 14:01:44 2013 +0000

    source-hash-07352f07ce40ef40e9b73fd05aa4f9c5eac38290
    
    commit 07352f07ce40ef40e9b73fd05aa4f9c5eac38290
    Author:     Jack Leigh <leighman@gmx.se>
    AuthorDate: Tue Mar 5 16:19:58 2013 +0000
    Commit:     Michael Meeks <michael.meeks@suse.com>
    CommitDate: Tue Mar 12 15:35:34 2013 +0000
    
        liblibo: move to C++ interface.
    
        Change-Id: Ie14a9446abd9524604feddf811d5373a26a30cbd

:100644 100644 1bd86430233d1c4a124a71c5ae2eeba5e6cb8c56 7124957e08dd70b06e7fdb5e7dec0330a3a55bcd M	autogen.log
:100644 100644 b705dc1dceec16c40ec9aa1cfc22497c7bf59be8 7440de2ae3594ee3806e3855eb716bb4435ddb6b M	ccache.log
:100644 100644 49f986c8a78217b76e7a11195e4d686e49d73be4 a35421773c9f3b54fd3d3d687fa9fe7ab525e9c2 M	commitmsg
:100644 100644 038c6da92770a07e32d43ac3c4ac44a190ef1e10 1534c341abf32606f5798893082e21abddd1233e M	dev-install.log
:100644 100644 42fa6993f3e8dfe3c9c4dee81b2d9dbbc9c57957 5c669da4e6f8357a8e47eff4c731a65183dcc576 M	make.log
:040000 040000 e62bf99593bfa573f70e250f6f1d1198e8e812a5 c69e681c86cd2bed701ae94ac119221a9f9e4c78 M	opt


# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# bad: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect bad e02439a3d6297a1f5334fa558ddec5ef4212c574
# good: [8f4aeaad2f65d656328a451154142bb82efa4327] source-hash-1885266f274575327cdeee9852945a3e91f32f15
git bisect good 8f4aeaad2f65d656328a451154142bb82efa4327
# good: [9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02] source-hash-8600bc24bbc9029e92bea6102bff2921bc10b33e
git bisect good 9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02
# bad: [8ad82bc1416a07501651e8d96fe268e47d3931d3] source-hash-13821254f88d2c5488fba9fe6393dcf4ae810db4
git bisect bad 8ad82bc1416a07501651e8d96fe268e47d3931d3
# bad: [238338bc4111eb82429ea47384d4012bcd7cdc3e] source-hash-b6ba04639b9922f6717f79ac4be215e09691d7a9
git bisect bad 238338bc4111eb82429ea47384d4012bcd7cdc3e
# good: [89dc8a802d1625e0efd88ba0fb720b22be87f3f0] source-hash-da03bb1ee6a69d2f4fef4c3ca0adc0ba9588bd19
git bisect good 89dc8a802d1625e0efd88ba0fb720b22be87f3f0
# bad: [4d8d18a8c871d6803af99b706f780eb6e65c7a5d] source-hash-d4779887636fa9ab5b477f3436bcd3728a3e30ba
git bisect bad 4d8d18a8c871d6803af99b706f780eb6e65c7a5d
# good: [4e6ca16994d8627b4d31fe2399391ab82f06ba12] source-hash-68c3dfc3119a50ee9c9c6d65f4c656637152bbad
git bisect good 4e6ca16994d8627b4d31fe2399391ab82f06ba12
# bad: [1c8ce1b905c9fd78415d666f7f0d9b39bd99a431] source-hash-eceecd4a3806f64c2e8fb0a3bcdcc43e1384779f
git bisect bad 1c8ce1b905c9fd78415d666f7f0d9b39bd99a431
# bad: [5a52acff89c712acbd4be6896748c76a010cb507] source-hash-07352f07ce40ef40e9b73fd05aa4f9c5eac38290
git bisect bad 5a52acff89c712acbd4be6896748c76a010cb507
# first bad commit: [5a52acff89c712acbd4be6896748c76a010cb507] source-hash-07352f07ce40ef40e9b73fd05aa4f9c5eac38290
Comment 2 Matthew Francis 2015-01-06 03:22:30 UTC
This is fixed in 4.4 and 4.5 master as of the below commit. There's no chance this commit will be backported to 4.3, and it seems unlikely anyone will develop a separate fix just for 4.3 at this point in the lifecycle, so...

(for reference, the original breakage was probably commit 77e21bb36a2cdaaa0f4049dee0d45c5b2325c6e9)

-> RESOLVED FIXED



commit 7d9bb549d498d6beed2c4050c402d09643febdfa
Author: Armin Le Grand <alg@apache.org>
Date:   Mon Jun 2 15:00:50 2014 +0000

    Related: #i124638# Second step of DrawingLayer FillAttributes...
    
    for Writer objects, now added support for Paragraph and PageStyle (including
    Header and Footer) for direct attributes and style attributes
    
    (cherry picked from commit cc25c58f7052827bfebdc9fbeec668c8fa29ed1b)
Comment 3 Robinson Tryon (qubit) 2015-12-17 08:26:52 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]